Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmc
Class CMCFailInfo

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cmc.CMCFailInfo

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class CMCFailInfo
extends ASN1Object

CMCFailInfo ::= INTEGER { badAlg (0), badMessageCheck (1), badRequest (2), badTime (3), badCertId (4), unsupportedExt (5), mustArchiveKeys (6), badIdentity (7), popRequired (8), popFailed (9), noKeyReuse (10), internalCAError (11), tryLater (12), authDataFail (13) }

Field Summary
`static CMCFailInfo` | `authDataFail`
`static CMCFailInfo` | `badAlg`
`static CMCFailInfo` | `badCertId`
`static CMCFailInfo` | `badIdentity`
`static CMCFailInfo` | `badMessageCheck`
`static CMCFailInfo` | `badRequest`
`static CMCFailInfo` | `badTime`
`static CMCFailInfo` | `internalCAError`
`static CMCFailInfo` | `mustArchiveKeys`
`static CMCFailInfo` | `noKeyReuse`
`static CMCFailInfo` | `popFailed`
`static CMCFailInfo` | `popRequired`
`static CMCFailInfo` | `tryLater`
`static CMCFailInfo` | `unsupportedExt`

Method Summary
`static CMCFailInfo` | `getInstance(java.lang.Object o)`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### badAlg

    public static final CMCFailInfo badAlg

### badMessageCheck

    public static final CMCFailInfo badMessageCheck

### badRequest

    public static final CMCFailInfo badRequest

### badTime

    public static final CMCFailInfo badTime

### badCertId

    public static final CMCFailInfo badCertId

### unsupportedExt

    public static final CMCFailInfo unsupportedExt

### mustArchiveKeys

    public static final CMCFailInfo mustArchiveKeys

### badIdentity

    public static final CMCFailInfo badIdentity

### popRequired

    public static final CMCFailInfo popRequired

### popFailed

    public static final CMCFailInfo popFailed

### noKeyReuse

    public static final CMCFailInfo noKeyReuse

### internalCAError

    public static final CMCFailInfo internalCAError

### tryLater

    public static final CMCFailInfo tryLater

### authDataFail

    public static final CMCFailInfo authDataFail

Method Detail

### getInstance

    public static CMCFailInfo getInstance(java.lang.Object o)

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD